FSTRIM(8)

NUME
fstrim - înlătură blocurile nefolosite pe un sistem de fișiere montat

REZUMAT

fstrim [-v] [-o poziția] [-l lungimea] [-m dimensiunea-minimă] -A|-a|punct-montare

DESCRIERE

fstrim este utilizat pe un sistem de fișiere montat pentru a înlătura (sau „decupa”) blocurile care nu sunt utilizate de sistemul de fișiere. Acest lucru este util în cazul unităților de stocare solid-state (SSD) și al sistemelor de stocare cu alocare dinamică.

În mod implicit, fstrim va înlătura toate blocurile nefolosite din sistemul de fișiere. Opțiunile pot fi utilizate pentru a modifica acest comportament în funcție de interval sau de dimensiune, după cum se explică mai jos.

Argumentul punct-montare este ruta de acces a directorului în care este montat sistemul de fișiere și este necesar atunci când -A, -a, --fstab sau --all sunt nespecificate.

Rularea frecventă a aplicației fstrim sau chiar și utilizarea aplicației mount -o discard poate afecta negativ durata de viață a dispozitivelor SSD de calitate slabă. Pentru majoritatea sistemelor de birou și de server, o frecvență suficientă de „decupare” este o dată pe săptămână. Rețineți că nu toate dispozitivele suportă o coadă de decupare, astfel încât fiecare comandă de decupare generează o penalizare de performanță pentru orice altceva ar putea încerca să utilizeze discul în acel moment.

OPȚIUNI

Argumentele_poziție_, lungime și dimensiunea-minimă pot fi urmate de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”), sau sufixele KB (=1000), MB (=1000*1000) și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-A, --fstab
    Decupează toate sistemele de fișiere montate menționate în /etc/fstab pe dispozitivele care acceptă operațiunea de înlăturare. Sistemul de fișiere rădăcină este determinat din linia de comandă a nucleului dacă lipsește din fișier. Celelalte opțiuni furnizate, cum ar fi --offset, --length și --minimum, se aplică tuturor acestor dispozitive. Erorile provenite de la sisteme de fișiere care nu acceptă operația de înlăturare, dispozitivele numai-pentru-citire, autofs și sistemele de fișiere numai-pentru-citire sunt ignorate în mod silențios. Sistemele de fișiere cu opțiunea de montare „X-fstrim.notrim” sunt omise.

-a, --all
    Decupează toate sistemele de fișiere montate pe dispozitive care acceptă operațiunea de înlăturare. Celelalte opțiuni furnizate, cum ar fi --offset, --length și --minimum, se aplică tuturor acestor dispozitive. Erorile provenite de la sistemele de fișiere care nu acceptă operația de înlăturare, de la dispozitivele și sistemele de fișiere numai-pentru-citire sunt ignorate în mod silențios.

-n, --dry-run
    Această opțiune face totul în afară de apelarea efectivă funcției ioctl FITRIM.

-o, --offset poziția
    Poziția octetului în sistemul de fișiere de la care se începe căutarea blocurilor libere pentru a le înlătura. Valoarea implicită este zero, începând de la începutul sistemului de fișiere.

-l, --length lungimea
    Numărul de octeți (după punctul de pornire) în care trebuie să se caute blocuri libere pentru a fi înlăturate. În cazul în care valoarea specificată se extinde dincolo de capătul sistemului de fișiere, fstrim se va opri la limita de dimensiune a sistemului de fișiere. Valoarea implicită se extinde până la capătul sistemului de fișiere.

-I, --listed-in listă
    Specifică o listă de fișiere separate prin două puncte în format „fstab” sau „kernel mountinfo”. Toate fișierele lipsă sau goale sunt ignorate în mod silențios. Evaluarea listei se oprește după primul fișier care nu este gol. De exemplu:

    --listed-in /etc/fstab:/proc/self/mountinfo.

    Sistemele de fișiere cu opțiunea de montare „X-fstrim.notrim” în fstab sunt omise.

-m, --minimum dimensiunea-minimă
    Intervalul liber contiguu minim care trebuie înlăturat, în octeți. (Această valoare este rotunjită în mod intern la un multiplu al dimensiunii blocului din sistemul de fișiere). Intervalele libere mai mici decât această valoare vor fi ignorate, iar fstrim va ajusta valoarea minimă dacă aceasta este mai mică decât valoarea minimă a dispozitivului și va raporta această valoare (fstrim_range.minlen) către spațiul utilizatorului. Prin creșterea acestei valori, operațiunea fstrim se va finaliza mai rapid pentru sistemele de fișiere cu spațiu liber foarte fragmentat, deși nu toate blocurile vor fi înlăturate. Valoarea implicită este zero, ceea ce înseamnă că fiecare bloc liber este înlăturat.

-t, --types listă
    Specifică tipurile de sisteme de fișiere permise sau interzise atunci când se utilizează cu --all sau --fstab. listă este o listă de nume de sisteme de fișiere separate prin virgule. lista urmărește modul în care mount -t evaluează tiparele de tip. Sunt permise numai tipurile de sisteme de fișiere specificate. Toate tipurile specificate sunt interzise dacă lista este precedată de „no” sau fiecare sistem de fișiere precedat de „no” este interzis. Dacă opțiunea nu este utilizată, toate sistemele de fișiere (cu excepția „autofs”) sunt permise.

-v, --verbose
    Execuție detaliată. Cu această opțiune, fstrim va afișa numărul de octeți transferați de la sistemul de fișiere în josul stivei de blocuri către dispozitiv pentru o eventuală înlăturare. Acest număr reprezintă o cantitate maximă de înlăturare din punctul de vedere al dispozitivului de stocare, deoarece ioctl FITRIM apelat în mod repetat va continua să trimită aceleași sectoare pentru înlăturare în mod repetat.

    fstrim va raporta de fiecare dată aceiași octeți de înlăturare potențială, dar numai sectoarele care au fost scrise între înlăturări vor fi efectiv înlăturate din dispozitivul de stocare. În plus, stratul de blocuri al nucleului își rezervă dreptul de a ajusta intervalele de înlăturare pentru a se adapta la geometria benzilor de raid, la dispozitivele care nu sunt capabile să efectueze înlăturarea într-o configurație LVM, etc. Aceste limitări nu se vor reflecta în fstrim_range.len (opțiunea --length).

--quiet-unsupported
    Suprimarea mesajelor de eroare în cazul în care operația de decupare (ioctl) nu este suportată. Această opțiune este menită să fie utilizată în fișierul de serviciu systemd sau în scripturile cron(8) pentru a ascunde avertismentele care sunt rezultatul unor probleme cunoscute, cum ar fi raportarea de către controlorul NTFS a Bad file descriptor atunci când dispozitivul este montat numai pentru citire sau lipsa suportului sistemului de fișiere pentru apelul ioctl FITRIM. Această opțiune curăță, de asemenea, starea de ieșire atunci când este specificat un sistem de fișiere neacceptat în linia de comandă fstrim.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

0
    succes

1
    eșec

32
    au eșuat toate

64
    unele înlăturări din sistemul de fișiere au reușit, altele au eșuat

Comanda fstrim --all returnează 0 (toate au reușit), 32 (toate au eșuat) sau 64 (unele au eșuat, altele au reușit).

AUTORI

CONSULTAȚI ȘI

blkdiscard(8), mount(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda fstrim face parte din pachetul util-linux care poate fi descărcat de la